- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# QXmlStreamReader Class Reference

Search for all occurrences

## Detailed Description

Definition at line 289 of file qxmlstream.h.

`#include <qxmlstream.h>`

List of all members.

## Public Types
enum | TokenType { NoToken = 0, Invalid, StartDocument, EndDocument, StartElement, EndElement, Characters, Comment, DTD, EntityReference, ProcessingInstruction }
enum | ReadElementTextBehaviour { ErrorOnUnexpectedElement, IncludeChildElements, SkipChildElements }
enum | Error { NoError, UnexpectedElementError, CustomError, NotWellFormedError, PrematureEndOfDocumentError }
## Public Member Functions
| QXmlStreamReader ()
| QXmlStreamReader (QIODevice *device)
| QXmlStreamReader (const QByteArray &data)
| QXmlStreamReader (const QString &data)
| QXmlStreamReader (const char *data)
| ~QXmlStreamReader ()
void | setDevice (QIODevice *device)
QIODevice * | device () const
void | addData (const QByteArray &data)
void | addData (const QString &data)
void | addData (const char *data)
void | clear ()
bool | atEnd () const
TokenType | readNext ()
bool | readNextStartElement ()
void | skipCurrentElement ()
TokenType | tokenType () const
QString | tokenString () const
void | setNamespaceProcessing (bool)
bool | namespaceProcessing () const
bool | isStartDocument () const
bool | isEndDocument () const
bool | isStartElement () const
bool | isEndElement () const
bool | isCharacters () const
bool | isWhitespace () const
bool | isCDATA () const
bool | isComment () const
bool | isDTD () const
bool | isEntityReference () const
bool | isProcessingInstruction () const
bool | isStandaloneDocument () const
QStringRef | documentVersion () const
QStringRef | documentEncoding () const
qint64 | lineNumber () const
qint64 | columnNumber () const
qint64 | characterOffset () const
QXmlStreamAttributes | attributes () const
QString | readElementText (ReadElementTextBehaviour behaviour)
QString | readElementText ()
QStringRef | name () const
QStringRef | namespaceUri () const
QStringRef | qualifiedName () const
QStringRef | prefix () const
QStringRef | processingInstructionTarget () const
QStringRef | processingInstructionData () const
QStringRef | text () const
QXmlStreamNamespaceDeclarations | namespaceDeclarations () const
void | addExtraNamespaceDeclaration (const QXmlStreamNamespaceDeclaration &extraNamespaceDeclaraction)
void | addExtraNamespaceDeclarations (const QXmlStreamNamespaceDeclarations &extraNamespaceDeclaractions)
QXmlStreamNotationDeclarations | notationDeclarations () const
QXmlStreamEntityDeclarations | entityDeclarations () const
QStringRef | dtdName () const
QStringRef | dtdPublicId () const
QStringRef | dtdSystemId () const
void | raiseError (const QString &message=QString())
QString | errorString () const
Error | error () const
bool | hasError () const
void | setEntityResolver (QXmlStreamEntityResolver *resolver)
QXmlStreamEntityResolver * | entityResolver () const

## Member Enumeration Documentation

enum TokenType

Search for all occurrences

Enumerator:

  NoToken | Search for all occurrences
  Invalid | Search for all occurrences
  StartDocument | Search for all occurrences
  EndDocument | Search for all occurrences
  StartElement | Search for all occurrences
  EndElement | Search for all occurrences
  Characters | Search for all occurrences
  Comment | Search for all occurrences
  DTD | Search for all occurrences
  EntityReference | Search for all occurrences
  ProcessingInstruction | Search for all occurrences

Definition at line 292 of file qxmlstream.h.

                       {
            NoToken = 0,
            Invalid,
            StartDocument,
            EndDocument,
            StartElement,
            EndElement,
            Characters,
            Comment,
            DTD,
            EntityReference,
            ProcessingInstruction
        };

enum ReadElementTextBehaviour

Search for all occurrences

Enumerator:

  ErrorOnUnexpectedElement | Search for all occurrences
  IncludeChildElements | Search for all occurrences
  SkipChildElements | Search for all occurrences

Definition at line 356 of file qxmlstream.h.

                                      {
            ErrorOnUnexpectedElement,
            IncludeChildElements,
            SkipChildElements
        };

enum Error

Search for all occurrences

Enumerator:

  NoError | Search for all occurrences
  UnexpectedElementError | Search for all occurrences
  CustomError | Search for all occurrences
  NotWellFormedError | Search for all occurrences
  PrematureEndOfDocumentError | Search for all occurrences

Definition at line 384 of file qxmlstream.h.

                   {
            NoError,
            UnexpectedElementError,
            CustomError,
            NotWellFormedError,
            PrematureEndOfDocumentError
        };

## Constructor & Destructor Documentation

QXmlStreamReader | ( |  | ) |

QXmlStreamReader | ( | QIODevice * | device | ) |

QXmlStreamReader | ( | const QByteArray & | data | ) |

QXmlStreamReader | ( | const QString & | data | ) |

QXmlStreamReader | ( | const char * | data | ) |

~QXmlStreamReader | ( |  | ) |

## Member Function Documentation

void setDevice | ( | QIODevice * | device | ) |

Search for all occurrences

QIODevice* device | ( |  | ) | const

Search for all occurrences

void addData | ( | const QByteArray & | data | ) |

Search for all occurrences

void addData | ( | const QString & | data | ) |

Search for all occurrences

void addData | ( | const char * | data | ) |

Search for all occurrences

void clear | ( |  | ) |

Search for all occurrences

bool atEnd | ( |  | ) | const

Search for all occurrences

TokenType readNext | ( |  | ) |

Search for all occurrences

bool readNextStartElement | ( |  | ) |

Search for all occurrences

void skipCurrentElement | ( |  | ) |

Search for all occurrences

TokenType tokenType | ( |  | ) | const

Search for all occurrences

QString tokenString | ( |  | ) | const

Search for all occurrences

void setNamespaceProcessing | ( | bool |  | ) |

Search for all occurrences

bool namespaceProcessing | ( |  | ) | const

Search for all occurrences

bool isStartDocument | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 334 of file qxmlstream.h.

    { return tokenType() == StartDocument; }

bool isEndDocument | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 335 of file qxmlstream.h.

    { return tokenType() == EndDocument; }

bool isStartElement | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 336 of file qxmlstream.h.

    { return tokenType() == StartElement; }

bool isEndElement | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 337 of file qxmlstream.h.

    { return tokenType() == EndElement; }

bool isCharacters | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 338 of file qxmlstream.h.

    { return tokenType() == Characters; }

bool isWhitespace | ( |  | ) | const

Search for all occurrences

bool isCDATA | ( |  | ) | const

Search for all occurrences

bool isComment | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 341 of file qxmlstream.h.

    { return tokenType() == Comment; }

bool isDTD | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 342 of file qxmlstream.h.

    { return tokenType() == DTD; }

bool isEntityReference | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 343 of file qxmlstream.h.

    { return tokenType() == EntityReference; }

bool isProcessingInstruction | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 344 of file qxmlstream.h.

    { return tokenType() == ProcessingInstruction; }

bool isStandaloneDocument | ( |  | ) | const

Search for all occurrences

QStringRef documentVersion | ( |  | ) | const

Search for all occurrences

QStringRef documentEncoding | ( |  | ) | const

Search for all occurrences

qint64 lineNumber | ( |  | ) | const

Search for all occurrences

qint64 columnNumber | ( |  | ) | const

Search for all occurrences

qint64 characterOffset | ( |  | ) | const

Search for all occurrences

QXmlStreamAttributes attributes | ( |  | ) | const

Search for all occurrences

QString readElementText | ( | ReadElementTextBehaviour | behaviour | ) |

Search for all occurrences

QString readElementText | ( |  | ) |

Search for all occurrences

QStringRef name | ( |  | ) | const

Search for all occurrences

QStringRef namespaceUri | ( |  | ) | const

Search for all occurrences

QStringRef qualifiedName | ( |  | ) | const

Search for all occurrences

QStringRef prefix | ( |  | ) | const

Search for all occurrences

QStringRef processingInstructionTarget | ( |  | ) | const

Search for all occurrences

QStringRef processingInstructionData | ( |  | ) | const

Search for all occurrences

QStringRef text | ( |  | ) | const

Search for all occurrences

QXmlStreamNamespaceDeclarations namespaceDeclarations | ( |  | ) | const

Search for all occurrences

void addExtraNamespaceDeclaration | ( | const QXmlStreamNamespaceDeclaration & | extraNamespaceDeclaraction | ) |

Search for all occurrences

void addExtraNamespaceDeclarations | ( | const QXmlStreamNamespaceDeclarations & | extraNamespaceDeclaractions | ) |

Search for all occurrences

QXmlStreamNotationDeclarations notationDeclarations | ( |  | ) | const

Search for all occurrences

QXmlStreamEntityDeclarations entityDeclarations | ( |  | ) | const

Search for all occurrences

QStringRef dtdName | ( |  | ) | const

Search for all occurrences

QStringRef dtdPublicId | ( |  | ) | const

Search for all occurrences

QStringRef dtdSystemId | ( |  | ) | const

Search for all occurrences

void raiseError | ( | const QString & | message = `QString()` | ) |

Search for all occurrences

QString errorString | ( |  | ) | const

Search for all occurrences

Error error | ( |  | ) | const

Search for all occurrences

bool hasError | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 395 of file qxmlstream.h.

        {
            return error() != NoError;
        }

void setEntityResolver | ( | QXmlStreamEntityResolver * | resolver | ) |

Search for all occurrences

QXmlStreamEntityResolver* entityResolver | ( |  | ) | const

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qxmlstream.h

QXmlStreamReader QXmlStreamReader QXmlStreamReader QXmlStreamReader QXmlStreamReader QXmlStreamReader QXmlStreamReader QXmlStreamReader QXmlStreamReader QXmlStreamReader
QXmlStreamReader QXmlStreamReader QXmlStreamReader QXmlStreamReader QXmlStreamReader QXmlStreamReader QXmlStreamReader QXmlStreamReader QXmlStreamReader QXmlStreamReader